pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/44037: devel/rake fails with patch error

>Number:         44037
>Category:       pkg
>Synopsis:       devel/rake fails with patch error
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Nov 04 09:55:00 +0000 2010
>Originator:     Stefan Palm
>Release:        pkgsrc-2010Q3
SunOS neuwied2 5.10 Generic_142900-12 sun4u sparc SUNW,SPARC-Enterprise
Build fails with error as 'patch-ab' cannot be applied.
=> Build dependency ruby18-rubygems>=1.1.0: found ruby18-rubygems-1.3.7
=> Build dependency pax>=20040802: found pax-20080110
=> Full dependency ruby18-rubygems>=1.0.1: found ruby18-rubygems-1.3.7
=> Full dependency db4>=4.8.30: found db4-4.8.30
=> Full dependency libiconv>=1.9.1nb4: found libiconv-1.12nb1
=> Full dependency openssl>=0.9.8knb1: found openssl-0.9.8onb1
=> Full dependency ruby18-base>=1.8.7: found ruby18-base-
===> Overriding tools for ruby18-rake-0.8.7nb1
===> Extracting for ruby18-rake-0.8.7nb1
Unpacked gem: '/swm/pkgsrc/branches/2010Q3/devel/rake/work/rake-0.8.7'
===> Patching for ruby18-rake-0.8.7nb1
=> Applying pkgsrc patches for ruby18-rake-0.8.7nb1
1 out of 4 hunks FAILED -- saving rejects to file ../rake-0.8.7.gemspec.rej
Patch /swm/pkgsrc/branches/current/devel/rake/patches/patch-ab failed
ERROR: Patching failed due to modified or broken patch file(s):
ERROR:  /swm/pkgsrc/branches/current/devel/rake/patches/patch-ab
*** Error code 1

bmake: stopped in /swm/pkgsrc/branches/current/devel/rake
*** Error code 1

bmake: stopped in /swm/pkgsrc/branches/current/devel/rake


Home | Main Index | Thread Index | Old Index